# Create Virtual Account

This endpoint provides a unique virtual customer account for processing transactions for existing customers.\
\ <mark style="color:green;">`POST`</mark> `/api/account/v1/createvirtualaccount`

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body**

<table><thead><tr><th width="165">Name</th><th width="172">Data Type (length)</th><th width="102" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>accountName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>true</td><td>Name associated with the account</td></tr><tr><td><code>lastName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>true</td><td>Customer's last name</td></tr><tr><td><code>firstName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>true</td><td>Customer's first name</td></tr><tr><td><code>otherNames</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Customer's other names</td></tr><tr><td><code>phoneNumber</code></td><td>string</td><td>true</td><td>Customer's phone number</td></tr><tr><td><code>email</code></td><td>string</td><td>true</td><td>Customer's email address</td></tr><tr><td><code>ignorePrefix</code></td><td>boolean</td><td>false</td><td>This flag indicates whether an account should be prefixed by a custom alias configured by the financial institution.<br><br>Set <code>true</code> for active and <code>false</code> for inactive. <em>The default value is active.</em></td></tr><tr><td><code>productCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(3)</em></a></td><td>true</td><td>The customer's savings account product code</td></tr><tr><td><code>bvn</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(11)</em></a></td><td>false</td><td>Bank Verification Number (BVN)</td></tr><tr><td><code>nin</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(11)</em></a></td><td>false</td><td>National Identification Number (NIN)</td></tr><tr><td><code>maritalStatus</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(20)</em></a></td><td>false</td><td><p>The customer's marital status. The enumerations are: </p><p><code>1</code> = Married,</p><p><code>2</code> = Single,<br><code>3</code> = Divorced,<br><code>4</code> = Widow,<br><code>5</code> = Widower</p></td></tr><tr><td><code>religion</code></td><td>string<a data-footnote-ref href="#user-content-fn-1"><em>(20)</em></a></td><td>false</td><td><p>The customer's religion. <br>The enumerations are: </p><p><code>1</code> = Christianity,</p><p><code>2</code> = Islamic,<br><code>3</code> = Others</p></td></tr><tr><td><code>hometown</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Customer's hometown</td></tr><tr><td><code>dateOfBirth</code></td><td>date</td><td>false</td><td>The customer's Date of birth. The format should be <code>YYYY</code>-<code>MM</code>-<code>DD</code> (e.g., <code>2025</code>-<code>30</code>-<code>12</code>)</td></tr><tr><td><code>nationality</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Customer's nationality</td></tr><tr><td><code>state</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Customer's state of residence</td></tr><tr><td><code>lga</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Local Government Area (LGA)</td></tr><tr><td><code>identificationType</code></td><td>string</td><td>false</td><td><p>Type of identification (e.g., driver's license, passport)<br><br>The enumerations are: </p><p><code>1</code> = National ID <em>(Default)</em>,</p><p><code>2</code> = Drivers License,<br><code>3</code> = Voters Card,<br><code>4</code> =  International Passport<br></p></td></tr><tr><td><code>identificationNumber</code></td><td>integer</td><td>false</td><td>Identification number for the chosen identification type.<br><br><em>The product settings will apply if not supplied.</em></td></tr><tr><td><code>pep</code></td><td>boolean</td><td>false</td><td>Politically Exposed Person (PEP) status. Set true for yes and <code>false</code> for no</td></tr><tr><td><code>tin</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Tax Identification Number (TIN)</td></tr><tr><td><code>employeeID</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(50)</em></a></td><td>false</td><td>Employee ID if the account is related to employment</td></tr><tr><td><code>address</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(250)</em></a></td><td>false</td><td>Customer's residential address</td></tr><tr><td><code>documentIdentifier</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(120)</em></a></td><td>false</td><td>This is an identifier that will link all documents associated with the user. It can be a Guid value or any valid string with no special characters. Guid is recommended</td></tr><tr><td><code>isBusinessAccount</code></td><td>boolean</td><td>false</td><td>Set <code>true</code> if the account is for business purposes and <code>false</code> if it's not</td></tr></tbody></table>

<details>

<summary>Sample Request</summary>

```json
// Some codecurl --location -g '{{baseurl}}/api/account/v1/createvirtualaccount' \
--header 'Content-Type: application/json' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--data-raw '{
  "accountName": "",
  "lastName": "",
  "firstName": "",
  "otherNames": "Bertram_Maggio36",
  "phoneNumber": "",
  "email": ".@gmail.com",
  "ignorePrefix": true,
  "productCode": "301",
  "bvn": "string",
  "nin": "string",
  "maritalStatus": "string",
  "religion": "Christianity",
  "hometown": "Ikorodu",
  "dateOfBirth": "2000-01-01",
  "nationality": "Nigerian",
  "state": "Lagos",
  "lga": "Ikorodu",
  "identificationType": "DriversLicense",
  "identificationNumber": "string",
  "pep": true,
  "tin": "string",
  "employeeID": "",
  "address": "5, Bajulaiye road, Isolo",
  "documentIdentifier": "",
  "isBusinessAccount": true
}'
```

</details>

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "status": true,
  "message": "string",
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountNumber": "string"
  }
}
```

{% endtab %}
{% endtabs %}

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/account/editor/create-virtual-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
